Package com.collibra.dgc.core.api.dto.assignment

# Class AddAssignmentRequest.Builder

Object
Builder

Enclosing class:
  `AddAssignmentRequest`

public static final class AddAssignmentRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddAssignmentRequest.Builder`
  `articulationRules(List<ArticulationRuleRequest> articulationRules)`
  The articulation rule definitions.
  `AddAssignmentRequest.Builder`
  `assetTypeId(UUID assetTypeId)`
  Required. The ID of the asset type corresponding to the assignment.
  `AddAssignmentRequest`
  `build()`
  `AddAssignmentRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `AddAssignmentRequest.Builder`
  `characteristicTypes(List<CharacteristicTypeAssignmentReference> characteristicTypes)`
  The list of characteristic types to be assigned, along with their assignment modalities.
  `AddAssignmentRequest.Builder`
  `dataQualityRuleIds(List<UUID> dataQualityRuleIds)`
  Deprecated.
  The list of data quality rule IDs will be removed from the next major release.
  `AddAssignmentRequest.Builder`
  `defaultStatusId(UUID defaultStatusId)`
  Deprecated.
  `AddAssignmentRequest.Builder`
  `domainTypeIds(List<UUID> domainTypeIds)`
  The list of IDs of the domain types.
  `AddAssignmentRequest.Builder`
  `id(UUID id)`
  The ID of the new assignment.
  `AddAssignmentRequest.Builder`
  `scopeId(UUID scopeId)`
  The ID of the scope the assignment corresponds to.
  `AddAssignmentRequest.Builder`
  `statusIds(List<UUID> statusIds)`
  Required. The list of IDs of the statuses.
  `String`
  `toString()`
  `AddAssignmentRequest.Builder`
  `validationRuleIds(List<UUID> validationRuleIds)`
  The list of IDs of the validation rules.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public AddAssignmentRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `AddAssignmentRequest.builder()`
    Clone method for this Builder.

  - ### id

    public AddAssignmentRequest.Builder id(UUID id)
    The ID of the new assignment.
    Returns:
      `this`.

  - ### assetTypeId

    public AddAssignmentRequest.Builder assetTypeId(UUID assetTypeId)
    Required. The ID of the asset type corresponding to the assignment.
    Returns:
      `this`.

  - ### statusIds

    public AddAssignmentRequest.Builder statusIds(List<UUID> statusIds)
    Required. The list of IDs of the statuses. The first element in the list is used as default status id.
    Returns:
      `this`.

  - ### characteristicTypes

    public AddAssignmentRequest.Builder characteristicTypes(List<CharacteristicTypeAssignmentReference> characteristicTypes)
    The list of characteristic types to be assigned, along with their assignment modalities.
    Returns:
      `this`.

  - ### articulationRules

    public AddAssignmentRequest.Builder articulationRules(List<ArticulationRuleRequest> articulationRules)
    The articulation rule definitions.
    Returns:
      `this`.

  - ### validationRuleIds

    public AddAssignmentRequest.Builder validationRuleIds(List<UUID> validationRuleIds)
    The list of IDs of the validation rules.
    Returns:
      `this`.

  - ### dataQualityRuleIds

    @Deprecated public AddAssignmentRequest.Builder dataQualityRuleIds(List<UUID> dataQualityRuleIds)
    Deprecated.
    The list of data quality rule IDs will be removed from the next major release.
    The list of IDs of the data quality rules.
    Returns:
      `this`.

  - ### domainTypeIds

    public AddAssignmentRequest.Builder domainTypeIds(List<UUID> domainTypeIds)
    The list of IDs of the domain types.
    Returns:
      `this`.

  - ### defaultStatusId

    @Deprecated public AddAssignmentRequest.Builder defaultStatusId(UUID defaultStatusId)
    Deprecated.
    The ID of the default status for the asset type. This property will be ignored. The default status is the first status in the list of assigned statuses of the assignment.
    Returns:
      `this`.

  - ### scopeId

    public AddAssignmentRequest.Builder scopeId(UUID scopeId)
    The ID of the scope the assignment corresponds to.
    Returns:
      `this`.

  - ### build

    public AddAssignmentRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`